using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public class Course : IRepositoryItem<int>
{
    [PrimaryKey, AutoIncrement]
    public int Id { get; set; }
    public string Name { get; set; }
    public string LecturerName { get; set; }
    public int Ects { get; set; }
    public bool IsPassed { get; set; }
    public string Description { get; set; }
    
    [OneToMany(CascadeOperations = CascadeOperation.All)]
    public List<Lecture> Lectures { get; set; }
    
    [OneToMany(CascadeOperations = CascadeOperation.All)]
    public List<Mark> Marks { get; set; }

    [OneToMany(CascadeOperations = CascadeOperation.All)]
    public List<ToDo> ToDos { get; set; }
    
    [ForeignKey(typeof(Semester))]
    public int SemesterId { get; set; }
    [ManyToOne]
    public Semester Semester { get; set; }
}