using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public class Mark : IRepositoryItem<int>
{
    [PrimaryKey, AutoIncrement]
    public int Id { get; set; }
    public string Description { get; set; }
    public double Value { get; set; }
    public double Percentage { get; set; }
    
    [ForeignKey(typeof(Course))]
    public int CourseId { get; set; }
    [ManyToOne]
    public Course Course { get; set; }
}