using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public class Semester : IRepositoryItem<int>
{
    [PrimaryKey, AutoIncrement]
    public int Id { get; set; }
    public string Name { get; set; }
    
    [TextBlob("DateRangeBlobbed")]
    public DateRange DateRange { get; set; }
    public string DateRangeBlobbed { get; set; }
    
    [OneToMany(CascadeOperations = CascadeOperation.All)]
    public List<Course> Courses { get; set; }

    public static Semester GetCurrent(List<Semester> semesters)
    {
        return semesters.Find(s => s.DateRange.Start <= DateTime.Now && DateTime.Now <= s.DateRange.End);
    }
}