﻿using StudiApp.Models;

namespace StudiApp.Services.Converters
{
    public static class AverageMarkConverter
    {
        public static double MarksToAverage(List<Mark> marks)
        {
            if (marks.Any(m=> m.Value is > 6.0 or < 1.0))
            {
                throw new ArgumentException("A Value in the marks list is over 6.0 or under 1.0");
            }

            if (marks.Any(m => m.Percentage is > 1.0 or < 0.01))
            {
                throw new ArgumentException("A Percentage in the marks list is over 100% (1.0) or under 1% (0.01)");
            }

            var marksSum =  marks.Sum(mark => mark.Value * mark.Percentage);
            var percentageSum = marks.Sum(mark => mark.Percentage);
            var average = marksSum / percentageSum;
            return Math.Round(average, 2);
        } 
    }
}
