﻿using System.Globalization;

namespace StudiApp.Services.Converters
{
    public static class PercentageConverter
    {
        public static string ConvertToString(double value)
        {
            if (value is > 1.0 or < 0.01)
            {
                throw new ArgumentException("The Percentage is over 100% (1.0) or under 1% (0.01)");
            }

            var percent = value * 100;
            return $"{(int)percent}%";
        }

        public static double ConvertToDouble(string value)
        {
            var substring = value[..^1];

            var doubleRepresentation = double.Parse(substring);

            if (doubleRepresentation is > 100 or < 1)
            {
                throw new ArgumentException("The Percentage is over 100% (1.0) or under 1% (0.01)");
            }

            return doubleRepresentation / 100;
        }
    }
}
